<?php

use PHPUnit\Framework\TestCase;

final class SmartiesSampleTest extends TestCase
{
    private static $autoloadFilepath = __DIR__ . '/../autoload.php';
    private static $inputsDir = __DIR__ . '/inputs';
    private static $outputsDir = __DIR__ . '/outputs';

    public static function setUpBeforeClass(): void
    {
        require self::$autoloadFilepath;
    }

    public function testRenderSimpleParameter()
    {
        $smarties = new Smarties();
        file_put_contents(__DIR__ . '/test.html', '{{ sample }}');
        $output = $smarties->render(
            __DIR__ . '/test.html',
            [
                'sample' => 'Hello!'
            ]
        );
        $this->assertSame('Hello!', $output);
    }

    public static function tearDownAfterClass(): void
    {
        if (file_exists(__DIR__ . '/test.html')) {
            unlink(__DIR__ . '/test.html');
        }
    }
}
